<?php

/*
 * 
 *  Пример клиента для начала работы с API  uniqom.ru
 *  С документацией по методам API сайта uniqom.ru можно ознакомится по адресу http://uniqom.ru/api/info.php
 * 
 */


include_once 'jsonrpc/BaseJsonRpcClient.php';
include_once 'CatalogRpcServiceClient.php';


$ClientUniqom = new CatalogRpcServiceClient( 'http://uniqom.ru/api/server.php' );




$Login='';//login(e-mail) пользователя
$Password='';//пароль
  
    

//Пример: получение токена пользователя, токен нужен для вывода товаров с ценами
$res = $ClientUniqom->GetToken($Login,$Password);

if(empty($res->Result['error'])){
    
    $TokenClientUniqom=$res->Result['token'];
    
}

//Пример: получения групп каталога
$res = $ClientUniqom->GetAllGroups();

if(empty($res->Result['error'])){
    
    $GroupsUniqom=array();
    //делаем чтото с группами
    foreach ($res->Result as $value) {
            $GroupsUniqom[]=array('header'=>$value['header'],'id'=>$value['id'],'parent_id'=>$value['parent_id']);
    }
    
}

//Пример: получения Брендов
$res = $ClientUniqom->GetAllBrands();

if(empty($res->Result['error'])){
    
    $BrandsUniqom=array();
    //делаем чтото с брендами
    foreach ($res->Result as $value) {
            $BrandsUniqom[]=array('header'=>$value['header'],'id'=>$value['id']);
    }
    
}

//Пример: получения товаров 
$res = $ClientUniqom->GetAllItems($TokenClientUniqom,500,2600);

if(empty($res->Result['error'])){
    
    $ItemsUniqom=array();
    //делаем чтото с товарами
    foreach ($res->Result as $value) {
        
            $ItemsUniqom[]=array(
                'header'        =>$value['header'],//наименование товара
                'id'            =>$value['id'],
                'group_id'      =>$value['group_id'],
                'brand_id'      =>$value['brand_id'],
                'text'          =>$value['text'],//описание товара
                'article'       =>$value['article'], //артикул
                'variation'     =>$value['variation'], //разновидность
                'picture_files' =>$value['picture_files'], // ! массив url изображений товара
                'price'         =>$value['price']//цена 
                
            );
            
            
    }
    
}

//Пример: получения складов 
$res = $ClientUniqom->GetAllStorages($TokenClientUniqom);

if(empty($res->Result['error'])){
    
    $StoragesUniqom=array();
    //делаем чтото со складами
    foreach ($res->Result as $value) {
        
            $StoragesUniqom[]=array(
                'header'        =>$value['header'],//короткое наименование склада
                'id'            =>$value['id'],
                'address'      =>$value['address'],//адрес склада
                'full_header'      =>$value['full_header']//полное наименование склада
                
            );
            
            
    }
    
}

//Пример: получения наличия 
$res = $ClientUniqom->GetDeposits($TokenClientUniqom,2); // 2- по складам филиала

if(empty($res->Result['error'])){
    
    $StoragesUniqom=array();
    //делаем чтото 
    foreach ($res->Result as $value) {
        
            $StoragesUniqom[]=array(
                'id'              =>$value['id'],
                'storage_id'      =>$value['storage_id'],//id склада, если по филиалу то отсутствует
                'deposit'         =>$value['deposit']//наличие
                
            );
    }
}


//Пример: получения кроссов или артикулов 
$res = $ClientUniqom->GetParameters($TokenClientUniqom,'oem',100,0); // 100 первых 

if(empty($res->Result['error'])){
    
    $Parameters=array();
    //делаем чтото с параметрами
    foreach ($res->Result as $value) {
        
            $Parameters[]=array(
                'item_id'    =>$value['item_id'], //id товара
                'value'      =>$value['value']//значение
            );
    }
}



?>
